package app

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/db"
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/handler/iface"
)

type DBWrapper struct {
	r *db.Repositories
}

func (w *DBWrapper) ForUser() iface.UserRepository {
	return w.r.User
}

func (w *DBWrapper) ForChat() iface.ChatRepository {
	return w.r.Chat
}

func (w *DBWrapper) ForIntegration() iface.IntegrationRepository {
	return w.r.Integration
}
