# Vega Poker Bot

Vega Poker Bot is a Telegram-based Scrum Poker tool that allows for effective estimation of tasks in Agile development methodologies.

## Features
- Scrum Poker: Create poker polls with ease using the bot's intuitive interface. Select cards (0 - 10 - ?) to vote on tasks.
- Group Management: Specify which group members can participate in voting decisions for each conversation.
- Redmine Integration: Enable integration via API key for seamless task project, Sprint, and tracker retrieval from Redmine.

## How to Configure the Bot
1. Add the bot to your group chat.
2. Start a conversation with Vega Poker Bot and configure the group by specifying which members can vote in poker polls.
3. Configure settings as desired, including enabling Redmine integration via API key for pulling task project, Sprint, and tracker details from Redmine.
4. Start the poll at any time using command `/poll@vegapokerbot <task>`
