package iface

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/config"
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/locale"
	"github.com/mymmrac/telego"
	"go.uber.org/zap"
)

type App interface {
	Log() *zap.SugaredLogger
	TG() *telego.Bot
	TGProfile() *telego.User
	Conf() *config.Config
	DB() Repositories
	Localizer(string) locale.Localizer
}
